Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.compiler.wrapper.dista
Class DLFTokenizer

    java.lang.Object
      java.io.StreamTokenizer
          edu.udo.cs.miningmart.compiler.wrapper.dista.DLFTokenizer

    public class DLFTokenizer

extends java.io.StreamTokenizer

A tool for Dista's wrappers.

Version:
  $Id: DLFTokenizer.java,v 1.4 2006/09/27 15:00:03 euler Exp $
Author:
  Alessandro Serra

Field Summary

Fields inherited from class java.io.StreamTokenizer
`nval, sval, TT_EOF, TT_EOL, TT_NUMBER, TT_WORD, ttype`

Constructor Summary
`DLFTokenizer(java.io.Reader r)`

Method Summary
`void` | `checkBeginList()`
`void` | `checkBeginRecord()`
`void` | `checkEndList()`
`void` | `checkEndRecord()`
`void` | `checkEOF()`
`java.lang.String` | `errorMsg(java.lang.String m)`
`java.lang.String` | `getNominalValue()`
`double` | `getNumber()`
`java.lang.Double` | `getNumericValue()`
`java.lang.String` | `getString()`
`java.lang.String` | `getWord()`
`boolean` | `isEndList()`
`boolean` | `isEndRecord()`
`boolean` | `isEOF()`

Methods inherited from class java.io.StreamTokenizer
`commentChar, eolIsSignificant, lineno, lowerCaseMode, nextToken, ordinaryChar, ordinaryChars, parseNumbers, pushBack, quoteChar, resetSyntax, slashSlashComments, slashStarComments, toString, whitespaceChars, wordChars`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DLFTokenizer

    public DLFTokenizer(java.io.Reader r)

Method Detail

### errorMsg

    public final java.lang.String errorMsg(java.lang.String m)

### getWord

    public final java.lang.String getWord()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getString

    public final java.lang.String getString()
                                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getNumber

    public final double getNumber()
                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getNumericValue

    public final java.lang.Double getNumericValue()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getNominalValue

    public final java.lang.String getNominalValue()
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkBeginRecord

    public final void checkBeginRecord()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkEndRecord

    public final void checkEndRecord()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkBeginList

    public final void checkBeginList()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkEndList

    public final void checkEndList()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isEndList

    public final boolean isEndList()
                            throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isEndRecord

    public final boolean isEndRecord()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### checkEOF

    public final void checkEOF()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isEOF

    public final boolean isEOF()
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005